### Function

# ECal util_foreach_category

since: 3.48

#### Declaration [src]

    void
    e_cal_util_foreach_category (
      ICalComponent* comp,
      ECalUtilForeachCategoryFunc func,
      gpointer user_data
    )

#### Description [src]

Calls `func` for each category stored in the `comp`.

Available since: 3.48

#### Parameters

`comp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`func`

  Type: `ECalUtilForeachCategoryFunc`

  An `ECalUtilForeachCategoryFunc` callback to call for each category.

`user_data`

  Type: `gpointer`

  User data passed to the `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.